<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Sun Jan 20 22:40:32 CET 2013 -->
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE>
org.apache.http.impl.cookie Class Hierarchy (HttpComponents Client 4.3-alpha1 API)
</TITLE>

<META NAME="date" CONTENT="2013-01-20">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="org.apache.http.impl.cookie Class Hierarchy (HttpComponents Client 4.3-alpha1 API)";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Tree</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../org/apache/http/impl/conn/tsccm/package-tree.html"><B>PREV</B></A>&nbsp;
&nbsp;<A HREF="../../../../../org/apache/http/impl/execchain/package-tree.html"><B>NEXT</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/http/impl/cookie/package-tree.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-tree.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
Hierarchy For Package org.apache.http.impl.cookie
</H2>
</CENTER>
<DL>
<DT><B>Package Hierarchies:</B><DD><A HREF="../../../../../overview-tree.html">All Packages</A></DL>
<HR>
<H2>
Class Hierarchy
</H2>
<UL>
<LI TYPE="circle">java.lang.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang"><B>Object</B></A><UL>
<LI TYPE="circle">org.apache.http.impl.cookie.<A HREF="../../../../../org/apache/http/impl/cookie/AbstractCookieAttributeHandler.html" title="class in org.apache.http.impl.cookie"><B>AbstractCookieAttributeHandler</B></A> (implements org.apache.http.cookie.<A HREF="../../../../../org/apache/http/cookie/CookieAttributeHandler.html" title="interface in org.apache.http.cookie">CookieAttributeHandler</A>)
<UL>
<LI TYPE="circle">org.apache.http.impl.cookie.<A HREF="../../../../../org/apache/http/impl/cookie/BasicCommentHandler.html" title="class in org.apache.http.impl.cookie"><B>BasicCommentHandler</B></A><LI TYPE="circle">org.apache.http.impl.cookie.<A HREF="../../../../../org/apache/http/impl/cookie/BasicExpiresHandler.html" title="class in org.apache.http.impl.cookie"><B>BasicExpiresHandler</B></A><LI TYPE="circle">org.apache.http.impl.cookie.<A HREF="../../../../../org/apache/http/impl/cookie/BasicMaxAgeHandler.html" title="class in org.apache.http.impl.cookie"><B>BasicMaxAgeHandler</B></A><LI TYPE="circle">org.apache.http.impl.cookie.<A HREF="../../../../../org/apache/http/impl/cookie/BasicSecureHandler.html" title="class in org.apache.http.impl.cookie"><B>BasicSecureHandler</B></A><LI TYPE="circle">org.apache.http.impl.cookie.<A HREF="../../../../../org/apache/http/impl/cookie/BrowserCompatVersionAttributeHandler.html" title="class in org.apache.http.impl.cookie"><B>BrowserCompatVersionAttributeHandler</B></A><LI TYPE="circle">org.apache.http.impl.cookie.<A HREF="../../../../../org/apache/http/impl/cookie/RFC2109VersionHandler.html" title="class in org.apache.http.impl.cookie"><B>RFC2109VersionHandler</B></A></UL>
<LI TYPE="circle">org.apache.http.impl.cookie.<A HREF="../../../../../org/apache/http/impl/cookie/AbstractCookieSpec.html" title="class in org.apache.http.impl.cookie"><B>AbstractCookieSpec</B></A> (implements org.apache.http.cookie.<A HREF="../../../../../org/apache/http/cookie/CookieSpec.html" title="interface in org.apache.http.cookie">CookieSpec</A>)
<UL>
<LI TYPE="circle">org.apache.http.impl.cookie.<A HREF="../../../../../org/apache/http/impl/cookie/CookieSpecBase.html" title="class in org.apache.http.impl.cookie"><B>CookieSpecBase</B></A><UL>
<LI TYPE="circle">org.apache.http.impl.cookie.<A HREF="../../../../../org/apache/http/impl/cookie/BrowserCompatSpec.html" title="class in org.apache.http.impl.cookie"><B>BrowserCompatSpec</B></A><LI TYPE="circle">org.apache.http.impl.cookie.<A HREF="../../../../../org/apache/http/impl/cookie/IgnoreSpec.html" title="class in org.apache.http.impl.cookie"><B>IgnoreSpec</B></A><LI TYPE="circle">org.apache.http.impl.cookie.<A HREF="../../../../../org/apache/http/impl/cookie/NetscapeDraftSpec.html" title="class in org.apache.http.impl.cookie"><B>NetscapeDraftSpec</B></A><LI TYPE="circle">org.apache.http.impl.cookie.<A HREF="../../../../../org/apache/http/impl/cookie/RFC2109Spec.html" title="class in org.apache.http.impl.cookie"><B>RFC2109Spec</B></A><UL>
<LI TYPE="circle">org.apache.http.impl.cookie.<A HREF="../../../../../org/apache/http/impl/cookie/RFC2965Spec.html" title="class in org.apache.http.impl.cookie"><B>RFC2965Spec</B></A></UL>
</UL>
</UL>
<LI TYPE="circle">org.apache.http.impl.cookie.<A HREF="../../../../../org/apache/http/impl/cookie/BasicClientCookie.html" title="class in org.apache.http.impl.cookie"><B>BasicClientCookie</B></A> (implements org.apache.http.cookie.<A HREF="../../../../../org/apache/http/cookie/ClientCookie.html" title="interface in org.apache.http.cookie">ClientCookie</A>, java.lang.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Cloneable.html?is-external=true" title="class or interface in java.lang">Cloneable</A>, java.io.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</A>, org.apache.http.cookie.<A HREF="../../../../../org/apache/http/cookie/SetCookie.html" title="interface in org.apache.http.cookie">SetCookie</A>)
<UL>
<LI TYPE="circle">org.apache.http.impl.cookie.<A HREF="../../../../../org/apache/http/impl/cookie/BasicClientCookie2.html" title="class in org.apache.http.impl.cookie"><B>BasicClientCookie2</B></A> (implements java.io.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</A>, org.apache.http.cookie.<A HREF="../../../../../org/apache/http/cookie/SetCookie2.html" title="interface in org.apache.http.cookie">SetCookie2</A>)
</UL>
<LI TYPE="circle">org.apache.http.impl.cookie.<A HREF="../../../../../org/apache/http/impl/cookie/BasicDomainHandler.html" title="class in org.apache.http.impl.cookie"><B>BasicDomainHandler</B></A> (implements org.apache.http.cookie.<A HREF="../../../../../org/apache/http/cookie/CookieAttributeHandler.html" title="interface in org.apache.http.cookie">CookieAttributeHandler</A>)
<UL>
<LI TYPE="circle">org.apache.http.impl.cookie.<A HREF="../../../../../org/apache/http/impl/cookie/NetscapeDomainHandler.html" title="class in org.apache.http.impl.cookie"><B>NetscapeDomainHandler</B></A></UL>
<LI TYPE="circle">org.apache.http.impl.cookie.<A HREF="../../../../../org/apache/http/impl/cookie/BasicPathHandler.html" title="class in org.apache.http.impl.cookie"><B>BasicPathHandler</B></A> (implements org.apache.http.cookie.<A HREF="../../../../../org/apache/http/cookie/CookieAttributeHandler.html" title="interface in org.apache.http.cookie">CookieAttributeHandler</A>)
<LI TYPE="circle">org.apache.http.impl.cookie.<A HREF="../../../../../org/apache/http/impl/cookie/BestMatchSpec.html" title="class in org.apache.http.impl.cookie"><B>BestMatchSpec</B></A> (implements org.apache.http.cookie.<A HREF="../../../../../org/apache/http/cookie/CookieSpec.html" title="interface in org.apache.http.cookie">CookieSpec</A>)
<LI TYPE="circle">org.apache.http.impl.cookie.<A HREF="../../../../../org/apache/http/impl/cookie/BestMatchSpecFactory.html" title="class in org.apache.http.impl.cookie"><B>BestMatchSpecFactory</B></A> (implements org.apache.http.cookie.<A HREF="../../../../../org/apache/http/cookie/CookieSpecFactory.html" title="interface in org.apache.http.cookie">CookieSpecFactory</A>, org.apache.http.cookie.<A HREF="../../../../../org/apache/http/cookie/CookieSpecProvider.html" title="interface in org.apache.http.cookie">CookieSpecProvider</A>)
<LI TYPE="circle">org.apache.http.impl.cookie.<A HREF="../../../../../org/apache/http/impl/cookie/BrowserCompatSpecFactory.html" title="class in org.apache.http.impl.cookie"><B>BrowserCompatSpecFactory</B></A> (implements org.apache.http.cookie.<A HREF="../../../../../org/apache/http/cookie/CookieSpecFactory.html" title="interface in org.apache.http.cookie">CookieSpecFactory</A>, org.apache.http.cookie.<A HREF="../../../../../org/apache/http/cookie/CookieSpecProvider.html" title="interface in org.apache.http.cookie">CookieSpecProvider</A>)
<LI TYPE="circle">org.apache.http.impl.cookie.<A HREF="../../../../../org/apache/http/impl/cookie/DateUtils.html" title="class in org.apache.http.impl.cookie"><B>DateUtils</B></A><LI TYPE="circle">org.apache.http.impl.cookie.<A HREF="../../../../../org/apache/http/impl/cookie/IgnoreSpecFactory.html" title="class in org.apache.http.impl.cookie"><B>IgnoreSpecFactory</B></A> (implements org.apache.http.cookie.<A HREF="../../../../../org/apache/http/cookie/CookieSpecFactory.html" title="interface in org.apache.http.cookie">CookieSpecFactory</A>, org.apache.http.cookie.<A HREF="../../../../../org/apache/http/cookie/CookieSpecProvider.html" title="interface in org.apache.http.cookie">CookieSpecProvider</A>)
<LI TYPE="circle">org.apache.http.impl.cookie.<A HREF="../../../../../org/apache/http/impl/cookie/NetscapeDraftHeaderParser.html" title="class in org.apache.http.impl.cookie"><B>NetscapeDraftHeaderParser</B></A><LI TYPE="circle">org.apache.http.impl.cookie.<A HREF="../../../../../org/apache/http/impl/cookie/NetscapeDraftSpecFactory.html" title="class in org.apache.http.impl.cookie"><B>NetscapeDraftSpecFactory</B></A> (implements org.apache.http.cookie.<A HREF="../../../../../org/apache/http/cookie/CookieSpecFactory.html" title="interface in org.apache.http.cookie">CookieSpecFactory</A>, org.apache.http.cookie.<A HREF="../../../../../org/apache/http/cookie/CookieSpecProvider.html" title="interface in org.apache.http.cookie">CookieSpecProvider</A>)
<LI TYPE="circle">org.apache.http.impl.cookie.<A HREF="../../../../../org/apache/http/impl/cookie/PublicSuffixFilter.html" title="class in org.apache.http.impl.cookie"><B>PublicSuffixFilter</B></A> (implements org.apache.http.cookie.<A HREF="../../../../../org/apache/http/cookie/CookieAttributeHandler.html" title="interface in org.apache.http.cookie">CookieAttributeHandler</A>)
<LI TYPE="circle">org.apache.http.impl.cookie.<A HREF="../../../../../org/apache/http/impl/cookie/PublicSuffixListParser.html" title="class in org.apache.http.impl.cookie"><B>PublicSuffixListParser</B></A><LI TYPE="circle">org.apache.http.impl.cookie.<A HREF="../../../../../org/apache/http/impl/cookie/RFC2109DomainHandler.html" title="class in org.apache.http.impl.cookie"><B>RFC2109DomainHandler</B></A> (implements org.apache.http.cookie.<A HREF="../../../../../org/apache/http/cookie/CookieAttributeHandler.html" title="interface in org.apache.http.cookie">CookieAttributeHandler</A>)
<LI TYPE="circle">org.apache.http.impl.cookie.<A HREF="../../../../../org/apache/http/impl/cookie/RFC2109SpecFactory.html" title="class in org.apache.http.impl.cookie"><B>RFC2109SpecFactory</B></A> (implements org.apache.http.cookie.<A HREF="../../../../../org/apache/http/cookie/CookieSpecFactory.html" title="interface in org.apache.http.cookie">CookieSpecFactory</A>, org.apache.http.cookie.<A HREF="../../../../../org/apache/http/cookie/CookieSpecProvider.html" title="interface in org.apache.http.cookie">CookieSpecProvider</A>)
<LI TYPE="circle">org.apache.http.impl.cookie.<A HREF="../../../../../org/apache/http/impl/cookie/RFC2965CommentUrlAttributeHandler.html" title="class in org.apache.http.impl.cookie"><B>RFC2965CommentUrlAttributeHandler</B></A> (implements org.apache.http.cookie.<A HREF="../../../../../org/apache/http/cookie/CookieAttributeHandler.html" title="interface in org.apache.http.cookie">CookieAttributeHandler</A>)
<LI TYPE="circle">org.apache.http.impl.cookie.<A HREF="../../../../../org/apache/http/impl/cookie/RFC2965DiscardAttributeHandler.html" title="class in org.apache.http.impl.cookie"><B>RFC2965DiscardAttributeHandler</B></A> (implements org.apache.http.cookie.<A HREF="../../../../../org/apache/http/cookie/CookieAttributeHandler.html" title="interface in org.apache.http.cookie">CookieAttributeHandler</A>)
<LI TYPE="circle">org.apache.http.impl.cookie.<A HREF="../../../../../org/apache/http/impl/cookie/RFC2965DomainAttributeHandler.html" title="class in org.apache.http.impl.cookie"><B>RFC2965DomainAttributeHandler</B></A> (implements org.apache.http.cookie.<A HREF="../../../../../org/apache/http/cookie/CookieAttributeHandler.html" title="interface in org.apache.http.cookie">CookieAttributeHandler</A>)
<LI TYPE="circle">org.apache.http.impl.cookie.<A HREF="../../../../../org/apache/http/impl/cookie/RFC2965PortAttributeHandler.html" title="class in org.apache.http.impl.cookie"><B>RFC2965PortAttributeHandler</B></A> (implements org.apache.http.cookie.<A HREF="../../../../../org/apache/http/cookie/CookieAttributeHandler.html" title="interface in org.apache.http.cookie">CookieAttributeHandler</A>)
<LI TYPE="circle">org.apache.http.impl.cookie.<A HREF="../../../../../org/apache/http/impl/cookie/RFC2965SpecFactory.html" title="class in org.apache.http.impl.cookie"><B>RFC2965SpecFactory</B></A> (implements org.apache.http.cookie.<A HREF="../../../../../org/apache/http/cookie/CookieSpecFactory.html" title="interface in org.apache.http.cookie">CookieSpecFactory</A>, org.apache.http.cookie.<A HREF="../../../../../org/apache/http/cookie/CookieSpecProvider.html" title="interface in org.apache.http.cookie">CookieSpecProvider</A>)
<LI TYPE="circle">org.apache.http.impl.cookie.<A HREF="../../../../../org/apache/http/impl/cookie/RFC2965VersionAttributeHandler.html" title="class in org.apache.http.impl.cookie"><B>RFC2965VersionAttributeHandler</B></A> (implements org.apache.http.cookie.<A HREF="../../../../../org/apache/http/cookie/CookieAttributeHandler.html" title="interface in org.apache.http.cookie">CookieAttributeHandler</A>)
<LI TYPE="circle">java.lang.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Throwable.html?is-external=true" title="class or interface in java.lang"><B>Throwable</B></A> (implements java.io.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</A>)
<UL>
<LI TYPE="circle">java.lang.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang"><B>Exception</B></A><UL>
<LI TYPE="circle">org.apache.http.impl.cookie.<A HREF="../../../../../org/apache/http/impl/cookie/DateParseException.html" title="class in org.apache.http.impl.cookie"><B>DateParseException</B></A></UL>
</UL>
</UL>
</UL>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Tree</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../org/apache/http/impl/conn/tsccm/package-tree.html"><B>PREV</B></A>&nbsp;
&nbsp;<A HREF="../../../../../org/apache/http/impl/execchain/package-tree.html"><B>NEXT</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/http/impl/cookie/package-tree.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-tree.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &#169; 1999-2013 <a href="http://www.apache.org/">The Apache Software Foundation</a>. All Rights Reserved.
</BODY>
</HTML>
